'''OpenGL extension ARB.shader_atomic_counter_ops

This module customises the behaviour of the 
OpenGL.raw.GL.ARB.shader_atomic_counter_ops to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/ARB/shader_atomic_counter_ops.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
import ctypes
from OpenGL.raw.GL import _types, _glgets
from OpenGL.raw.GL.ARB.shader_atomic_counter_ops import *
from OpenGL.raw.GL.ARB.shader_atomic_counter_ops import _EXTENSION_NAME

def glInitShaderAtomicCounterOpsARB():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )


### END AUTOGENERATED SECTION